aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMattias Andrée <maandree@operamail.com>2014-10-12 05:56:09 +0200
committerMattias Andrée <maandree@operamail.com>2014-10-12 05:56:09 +0200
commite60f09e6eb71b6852f5a233b69ed39a2c227d84d (patch)
tree3e35d394edab4083b24fb8084ca623c2acb62969
parentmissed the .install file (diff)
downloadorphan-reaper-e60f09e6eb71b6852f5a233b69ed39a2c227d84d.tar.gz
orphan-reaper-e60f09e6eb71b6852f5a233b69ed39a2c227d84d.tar.bz2
orphan-reaper-e60f09e6eb71b6852f5a233b69ed39a2c227d84d.tar.xz
... and the file itself
Signed-off-by: Mattias Andrée <maandree@operamail.com>
-rw-r--r--dist/archlinux/stable/orphan-reaper.install20
1 files changed, 20 insertions, 0 deletions
diff --git a/dist/archlinux/stable/orphan-reaper.install b/dist/archlinux/stable/orphan-reaper.install
new file mode 100644
index 0000000..16078af
--- /dev/null
+++ b/dist/archlinux/stable/orphan-reaper.install
@@ -0,0 +1,20 @@
+_file="orphan-reaper"
+
+infodir="usr/share/info"
+file="${_file}.info"
+
+
+post_install() {
+ [[ -x "usr/bin/install-info" ]] || return 0
+ install-info -- "${infodir}/${file}" "${infodir}/dir" 2> /dev/null
+}
+
+post_upgrade() {
+ post_install "$1"
+}
+
+pre_remove() {
+ [[ -x "usr/bin/install-info" ]] || return 0
+ install-info --delete -- "${infodir}/${file}" "${infodir}/dir" 2> /dev/null
+}
+